#ifndef HAVE_PROCESS_H
#define HAVE_PROCESS_H

#include <stdio.h>

struct mail {
  long size;
  long adjsize;
  int deleted;
  FILE * fh;
};

int process_mails(char * maildrop);

void get_stats(long * msg, long * size);
void do_list(int fd, char * line);
void retrieve_msg(int fd, char * line);
void show_top_msg(int fd, char * l);
void delete_msg(int fd, char * line);
void reset_msg();
void do_update(char * maildrop);
void show_uidl(int fd, char * line);

#endif
